Make Internal Transfer

Endpoint to transfer money between two Wallets within the same business account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Required scopes:
  • wallet_write
Fingerprint order:
  • amount,currencyCode,fromWalletId,toWalletId,token
Path Params
string
required

The ID of the source Wallet, from which the amount is withdrawn. It must belong to the same business account as the destination Wallet.

string
required

The ID of the destination Wallet, to which the amount is credited. It must belong to the same business account as the source Wallet.

Form Data
number
required

The amount to move from the source Wallet to the destination Wallet. It must be greater than zero and have at most 2 decimal places. The source Wallet must have an available amount large enough to cover it.

string
enum
required

The ISO 4217 code of the currency of the Statement to search for.

Allowed:
string
length ≤ 1000

Free-text notes describing the reason of the transfer. They are stored as the notes of the resulting Transactions on both the source and the destination Wallets.

Headers
string
required
Defaults to {{fingerprint}}

Advanced authentication: SHA512SUM of the fingerprint values listed in the fingerprint order for this endpoint.

string
required
Defaults to {{fingerprint_signature}}

Advanced authentication: Signature of the X-Soldo-Fingerprint.

Responses

400

Your request has missing arguments or is malformed.

404

One or more resource requested does not exist.

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json